[arch-commits] Commit in grub2-efi-x86_64/repos (4 files)

Ronald van Haren ronald at archlinux.org
Sun Apr 22 10:30:24 EDT 2012


    Date: Sunday, April 22, 2012 @ 10:30:24
  Author: ronald
Revision: 156657

archrelease: copy trunk to testing-any

Added:
  grub2-efi-x86_64/repos/testing-any/
  grub2-efi-x86_64/repos/testing-any/PKGBUILD
    (from rev 156656, grub2-efi-x86_64/trunk/PKGBUILD)
  grub2-efi-x86_64/repos/testing-any/grub_extras_lua_args_fix.patch
    (from rev 156656, grub2-efi-x86_64/trunk/grub_extras_lua_args_fix.patch)
  grub2-efi-x86_64/repos/testing-any/ldflags.patch
    (from rev 156656, grub2-efi-x86_64/trunk/ldflags.patch)

--------------------------------+
 PKGBUILD                       |  103 +++++++++++++++++++++++++++++++++++++++
 grub_extras_lua_args_fix.patch |   13 ++++
 ldflags.patch                  |   15 +++++
 3 files changed, 131 insertions(+)

Copied: grub2-efi-x86_64/repos/testing-any/PKGBUILD (from rev 156656, grub2-efi-x86_64/trunk/PKGBUILD)
===================================================================
--- testing-any/PKGBUILD	                        (rev 0)
+++ testing-any/PKGBUILD	2012-04-22 14:30:24 UTC (rev 156657)
@@ -0,0 +1,103 @@
+# Maintainer: Ronald van Haren <ronald.archlinux.org>
+# Contributor: Keshav P R <(the.ridikulus.rat) (aatt) (gemmaeiil) (ddoott) (ccoomm)>
+
+_grub_bzr_rev="4232"
+_pkgver="2.00~beta4"
+
+_grub_lua_ver=24
+_grub_gpxe_ver=12
+
+pkgname=grub2-efi-x86_64
+pkgver=2.00beta4
+pkgrel=1
+epoch=1
+pkgdesc="The GNU GRand Unified Bootloader version 2 - x86_64 UEFI version"
+url="http://www.gnu.org/software/grub/"
+arch=('any')
+license=('GPL3')
+
+makedepends=('xz' 'python' 'autogen' 'texinfo' 'help2man' 'gettext' 'device-mapper' 'fuse')
+depends=("grub2-common=${epoch}:${pkgver}" 'dosfstools' 'efibootmgr')
+
+options=('!strip' '!emptydirs')
+
+# source=("ftp://ftp.archlinux.org/other/grub2/grub_r${_grub_bzr_rev}.tar.xz"
+source=("http://alpha.gnu.org/gnu/grub/grub-${_pkgver}".tar.xz
+        "ftp://ftp.archlinux.org/other/grub2/grub2_extras_lua_r${_grub_lua_ver}.tar.xz"    
+	"ftp://ftp.archlinux.org/other/grub2/grub2_extras_gpxe_r${_grub_gpxe_ver}.tar.xz")
+
+noextract=("grub2_extras_lua_r${_grub_lua_ver}.tar.xz"
+           "grub2_extras_gpxe_r${_grub_gpxe_ver}.tar.xz")
+
+sha1sums=('72d7f46a67dd7e958105e7faac72e646ef6e9f11'
+          '89290031b974780c6df76893836d2477d4add895'
+          'b04994c005910b4bf123f034b30109d5c8d6fd86')
+	
+build() {
+
+	if [[ "${CARCH}" == 'i686' ]]; then
+		echo "This package can be built only in a x86_64 system. Exiting."
+		exit 1
+	fi
+
+	cd "${srcdir}/grub-${_pkgver}"
+
+	## add grub-extras
+	export GRUB_CONTRIB="${srcdir}/grub-${_pkgver}/grub-extras/" 
+	install -d "${srcdir}/grub-${_pkgver}/grub-extras"
+
+	bsdtar xf "${srcdir}/grub2_extras_lua_r${_grub_lua_ver}.tar.xz" \
+		-C "${srcdir}/grub-${_pkgver}/grub-extras"
+
+	bsdtar xf "${srcdir}/grub2_extras_gpxe_r${_grub_gpxe_ver}.tar.xz" \
+		-C "${srcdir}/grub-${_pkgver}/grub-extras"
+
+	## Requires python2
+	# sed 's|python |python2 |g' -i "${srcdir}/grub-${_pkgver}/autogen.sh"
+
+	## start the actual build process
+	cd "${srcdir}/grub-${_pkgver}/"
+	./autogen.sh
+
+	CFLAGS="" ./configure \
+		--with-platform="efi" \
+		--target="x86_64" \
+		--host="${CARCH}-unknown-linux-gnu" \
+		--disable-efiemu \
+		--enable-mm-debug \
+		--enable-nls \
+		--enable-device-mapper \
+		--enable-cache-stats \
+		--enable-grub-mkfont \
+		--enable-grub-mount \
+		--prefix="/usr" \
+		--bindir="/usr/bin" \
+		--sbindir="/usr/sbin" \
+		--mandir="/usr/share/man" \
+		--infodir="/usr/share/info" \
+		--datarootdir="/usr/share" \
+		--sysconfdir="/etc" \
+		--program-prefix="" \
+		--with-bootdir="/boot" \
+		--with-grubdir="grub" \
+		--disable-werror
+
+
+	CFLAGS="" make
+
+}
+
+package() {
+
+	cd "${srcdir}/grub-${_pkgver}"
+	make DESTDIR="${pkgdir}/" install 
+
+	## remove non platform-specific files
+	rm -rf "${pkgdir}"/{boot,etc,usr/{share,bin,sbin}}
+
+	## remove gdb debugging related files
+	rm -f "${pkgdir}/usr/lib/grub/x86_64-efi"/*.module || true
+	rm -f "${pkgdir}/usr/lib/grub/x86_64-efi"/*.image || true
+	rm -f "${pkgdir}/usr/lib/grub/x86_64-efi"/{kernel.exec,gdb_grub,gmodule.pl} || true
+
+}

Copied: grub2-efi-x86_64/repos/testing-any/grub_extras_lua_args_fix.patch (from rev 156656, grub2-efi-x86_64/trunk/grub_extras_lua_args_fix.patch)
===================================================================
--- testing-any/grub_extras_lua_args_fix.patch	                        (rev 0)
+++ testing-any/grub_extras_lua_args_fix.patch	2012-04-22 14:30:24 UTC (rev 156657)
@@ -0,0 +1,13 @@
+diff --git a/grub-extras/lua/grub_lib.c b/grub-extras/lua/grub_lib.c
+index 9014320..055d620 100644
+--- a/grub-extras/lua/grub_lib.c
++++ b/grub-extras/lua/grub_lib.c
+@@ -466,7 +466,7 @@ grub_lua_add_menu (lua_State *state)
+       if (! p)
+ 	return push_result (state);
+ 
+-      grub_normal_add_menu_entry (n, args, NULL, NULL, NULL, NULL, p, 0);
++      grub_normal_add_menu_entry (n, args, NULL, NULL, NULL, NULL, NULL, p, 0);
+     }
+   else
+     {

Copied: grub2-efi-x86_64/repos/testing-any/ldflags.patch (from rev 156656, grub2-efi-x86_64/trunk/ldflags.patch)
===================================================================
--- testing-any/ldflags.patch	                        (rev 0)
+++ testing-any/ldflags.patch	2012-04-22 14:30:24 UTC (rev 156657)
@@ -0,0 +1,15 @@
+--- grub-1.99.orig/conf/Makefile.common
++++ grub-1.99/conf/Makefile.common
+@@ -11,10 +11,10 @@ if COND_i386_pc
+   CFLAGS_PLATFORM += -mrtd -mregparm=3
+ endif
+ if COND_i386_efi
+-  LDFLAGS_PLATFORM = -melf_i386
++  LDFLAGS_PLATFORM = -Wl,-melf_i386
+ endif
+ if COND_x86_64_efi
+-  LDFLAGS_PLATFORM = -melf_x86_64
++  LDFLAGS_PLATFORM = -Wl,-melf_x86_64
+ endif
+ if COND_i386_qemu
+   CFLAGS_PLATFORM += -mrtd -mregparm=3



More information about the arch-commits mailing list